Package org.bukkit.material

# Class Hopper

java.lang.Object
org.bukkit.material.MaterialData
org.bukkit.material.Hopper

All Implemented Interfaces:
  `Cloneable`, `Directional`, `Redstone`

@Deprecated public class Hopper extends MaterialData implements Directional, Redstone
Deprecated.
all usage of MaterialData is deprecated and subject to removal. Use `BlockData`.
Represents a hopper in an active or deactivated state and facing in a specific direction.

See Also:
  - `Material.HOPPER`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final boolean`
`DEFAULT_ACTIVE`
Deprecated.
`protected static final BlockFace`
`DEFAULT_DIRECTION`
Deprecated.

## Constructor Summary

Constructors
Constructor
Description
`Hopper()`
Deprecated.
Constructs a hopper facing the default direction (down) and initially active.
`Hopper(BlockFace facingDirection)`
Deprecated.
Constructs a hopper facing the specified direction and initially active.
`Hopper(BlockFace facingDirection, boolean isActive)`
Deprecated.
Constructs a hopper facing the specified direction and either active or not.
`Hopper(Material type)`
Deprecated.
`Hopper(Material type, byte data)`
Deprecated.
Magic value

## Method Summary

Modifier and Type
Method
Description
`Hopper`
`clone()`
Deprecated.
`BlockFace`
`getFacing()`
Deprecated.
Gets the direction this hopper is facing
`boolean`
`isActive()`
Deprecated.
Checks whether the hopper is active or not.
`boolean`
`isPowered()`
Deprecated.
Checks if the hopper is powered.
`void`
`setActive(boolean isActive)`
Deprecated.
Sets whether the hopper is active or not.
`void`
`setFacingDirection(BlockFace face)`
Deprecated.
Sets the direction this hopper is facing
`String`
`toString()`
Deprecated.

### Methods inherited from class org.bukkit.material.MaterialData

`equals, getData, getItemType, hashCode, setData, toItemStack, toItemStack`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### DEFAULT_DIRECTION

protected static final BlockFace DEFAULT_DIRECTION
Deprecated.

### DEFAULT_ACTIVE

protected static final boolean DEFAULT_ACTIVE
Deprecated.

See Also:
  - Constant Field Values

## Constructor Details

### Hopper

public Hopper()
Deprecated.
Constructs a hopper facing the default direction (down) and initially active.

### Hopper

public Hopper(BlockFace facingDirection)
Deprecated.
Constructs a hopper facing the specified direction and initially active.

Parameters:
  `facingDirection` - the direction the hopper is facing
See Also:
  - `BlockFace`

### Hopper

public Hopper(BlockFace facingDirection, boolean isActive)
Deprecated.
Constructs a hopper facing the specified direction and either active or not.

Parameters:
  `facingDirection` - the direction the hopper is facing
  `isActive` - True if the hopper is initially active, false if deactivated
See Also:
  - `BlockFace`

### Hopper

public Hopper(Material type)
Deprecated.

### Hopper

@Deprecated public Hopper(Material type, byte data)
Deprecated.
Magic value

Parameters:
  `type` - the type
  `data` - the raw data value

## Method Details

### setActive

public void setActive(boolean isActive)
Deprecated.
Sets whether the hopper is active or not.

Parameters:
  `isActive` - True if the hopper is active, false if deactivated as if powered by redstone

### isActive

public boolean isActive()
Deprecated.
Checks whether the hopper is active or not.

Returns:
  True if the hopper is active, false if deactivated

### setFacingDirection

public void setFacingDirection(BlockFace face)
Deprecated.
Sets the direction this hopper is facing

Specified by:
  `setFacingDirection` in interface `Directional`
Parameters:
  `face` - The direction to set this hopper to
See Also:
  - `BlockFace`

### getFacing

public BlockFace getFacing()
Deprecated.
Gets the direction this hopper is facing

Specified by:
  `getFacing` in interface `Directional`
Returns:
  The direction this hopper is facing
See Also:
  - `BlockFace`

### toString

public String toString()
Deprecated.

Overrides:
  `toString` in class `MaterialData`

### clone

public Hopper clone()
Deprecated.

Overrides:
  `clone` in class `MaterialData`

### isPowered

public boolean isPowered()
Deprecated.
Checks if the hopper is powered.

Specified by:
  `isPowered` in interface `Redstone`
Returns:
  true if the hopper is powered